summaryrefslogtreecommitdiff
path: root/gettext-tools/tests/msgexec-6
diff options
context:
space:
mode:
Diffstat (limited to 'gettext-tools/tests/msgexec-6')
-rwxr-xr-xgettext-tools/tests/msgexec-6143
1 files changed, 143 insertions, 0 deletions
diff --git a/gettext-tools/tests/msgexec-6 b/gettext-tools/tests/msgexec-6
new file mode 100755
index 0000000..acea8bc
--- /dev/null
+++ b/gettext-tools/tests/msgexec-6
@@ -0,0 +1,143 @@
+#! /bin/sh
+. "${srcdir=.}/init.sh"; path_prepend_ . ../src
+
+# Test --newline option.
+
+cat <<\EOF > mex-test6.po
+# HEADER.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: Bonnie Tyler\n"
+"Content-Type: text/plain; charset=ISO-8859-1\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#: married-men:4
+#, fuzzy
+msgid "The world is full of married men"
+msgstr "So viele verheiratete Männer"
+
+#: married-men:5
+msgid "with wives who never understand"
+msgstr "und ihre Frauen verstehen sie nicht"
+
+#: married-men:6
+msgid "They're looking for someone to share"
+msgstr ""
+
+# schwer zu übersetzen...
+#: married-men:7
+msgid "the excitement of a love affair"
+msgstr ""
+
+#: married-men:8
+msgid "Just as soon as they find you"
+msgstr ""
+
+#: married-men:9
+msgid "They warn you and darn you"
+msgstr ""
+
+#~ msgid "You fly on the wings of romance"
+#~ msgstr "Die Flügel der frischen Liebe\n"
+#~ "heben dich zum Himmel"
+
+#, fuzzy
+#~ msgid "In the eyes of the world"
+#~ msgstr "Für die anderen"
+
+# Etwas freie Übersetzung.
+#~ msgid "You're just another crazy girl"
+#~ msgstr "bist du bloß ein verrücktes dummes Ding"
+
+#~ msgid "Who loves a married man"
+#~ msgstr "das einen verheirateten Mann liebt"
+EOF
+
+cat <<\EOF > mex-test6.sh
+#! /bin/sh
+echo "========================= $MSGEXEC_LOCATION =========================" | LC_ALL=C tr -d '\r'
+cat <<MEOF
+$MSGEXEC_MSGID
+---
+MEOF
+cat
+echo | LC_ALL=C tr -d '\r'
+exit 0
+EOF
+chmod a+x mex-test6.sh
+
+: ${MSGEXEC=msgexec}
+LC_ALL=C \
+${MSGEXEC} --newline -i mex-test6.po ./mex-test6.sh > mex-test6.out 2> mex-test6.err
+result=$?
+cat mex-test6.err | grep -v 'warning: Locale charset' | grep -v '^ '
+test $result = 0 || { exit 1; }
+
+cat <<\EOF > mex-test6.ok
+========================= mex-test6.po:4 =========================
+
+---
+Project-Id-Version: Bonnie Tyler
+Content-Type: text/plain; charset=ISO-8859-1
+Content-Transfer-Encoding: 8bit
+
+
+========================= mex-test6.po:12 =========================
+The world is full of married men
+---
+So viele verheiratete Männer
+
+========================= mex-test6.po:16 =========================
+with wives who never understand
+---
+und ihre Frauen verstehen sie nicht
+
+========================= mex-test6.po:20 =========================
+They're looking for someone to share
+---
+
+
+========================= mex-test6.po:25 =========================
+the excitement of a love affair
+---
+
+
+========================= mex-test6.po:29 =========================
+Just as soon as they find you
+---
+
+
+========================= mex-test6.po:33 =========================
+They warn you and darn you
+---
+
+
+========================= mex-test6.po:36 =========================
+You fly on the wings of romance
+---
+Die Flügel der frischen Liebe
+heben dich zum Himmel
+
+========================= mex-test6.po:41 =========================
+In the eyes of the world
+---
+Für die anderen
+
+========================= mex-test6.po:45 =========================
+You're just another crazy girl
+---
+bist du bloß ein verrücktes dummes Ding
+
+========================= mex-test6.po:48 =========================
+Who loves a married man
+---
+das einen verheirateten Mann liebt
+
+EOF
+
+: ${DIFF=diff}
+${DIFF} mex-test6.ok mex-test6.out
+result=$?
+
+exit $result